Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanSpecializationConstant Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes

uint32_t | constant_id = 0
uint32_t | type_size = 0
const char * | constant_name = nullptr

## Detailed Description

Definition at line 28 of file vulkan_resources.h.

## Member Data Documentation

## constant_id

uint32_t Halide::Runtime::Internal::Vulkan::VulkanSpecializationConstant::constant_id = 0

Definition at line 29 of file vulkan_resources.h.

## type_size

uint32_t Halide::Runtime::Internal::Vulkan::VulkanSpecializationConstant::type_size = 0

Definition at line 30 of file vulkan_resources.h.

## constant_name

const char* Halide::Runtime::Internal::Vulkan::VulkanSpecializationConstant::constant_name = nullptr

Definition at line 31 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h